package seng302.Networking.Messages;

import seng302.Networking.Messages.Enums.MessageType;

/**
 * Created by fwy13 on 25/04/17.
 */

/**
 * Represents a Heartbeat message.
 */
public class Heartbeat extends AC35Data {

    ///Sequence number of the heartbeat.
    private long sequenceNumber;

    /**
     * Ctor.
     * @param sequenceNumber Sequence number of the heartbeat.
     */
    public Heartbeat(long sequenceNumber) {
        super(MessageType.HEARTBEAT);
        this.sequenceNumber = sequenceNumber;
    }

    /**
     * Returns the sequence number of this heartbeat message.
     * @return Sequence number of this heartbeat message.
     */
    public long getSequenceNumber() {
        return sequenceNumber;
    }
}
